%define upstream_name    Clone
%define upstream_version 0.47

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Recursively copy Perl datatypes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/G/GA/GARU/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::COW) >= 0.4.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-devel
%{?perl_default_filter}

%description
This module provides a clone() method which makes recursive
copies of nested hash, array, scalar and reference types,
including tied variables and objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone
%{_mandir}/*/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.470.0-2.mga10
+ Revision: 2227089
- Mageia 10 Mass Rebuild

* Sat Aug 24 2024 tv <tv> 0.470.0-1.mga10
+ Revision: 2090888
- update to 0.47

* Thu Aug 22 2024 neoclust <neoclust> 0.460.0-5.mga10
+ Revision: 2088334
- Rebuild again against new perl

* Wed Nov 29 2023 tv <tv> 0.460.0-4.mga10
+ Revision: 2011264
- Rebuild for armv7

* Tue Nov 28 2023 tv <tv> 0.460.0-3.mga10
+ Revision: 2010959
- Rebuild for armv7

* Sun Nov 26 2023 tv <tv> 0.460.0-2.mga10
+ Revision: 2009891
- Rebuild for perl-5.38

* Thu Oct 20 2022 tv <tv> 0.460.0-1.mga9
+ Revision: 1897876
- update to 0.46

* Mon Jun 06 2022 umeabot <umeabot> 0.450.0-5.mga9
+ Revision: 1861608
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.450.0-4.mga9
+ Revision: 1796299
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.450.0-3.mga9
+ Revision: 1726419
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.450.0-2.mga8
+ Revision: 1594346
- Rebuild for perl 5.32

* Fri Apr 24 2020 tv <tv> 0.450.0-1.mga8
+ Revision: 1571621
- update to 0.45

* Tue Apr 21 2020 tv <tv> 0.440.0-1.mga8
+ Revision: 1570228
- update to 0.44

* Sat Feb 15 2020 umeabot <umeabot> 0.430.0-4.mga8
+ Revision: 1529255
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.430.0-3.mga8
+ Revision: 1433226
- really rebuild with perl-5.30

* Mon Aug 26 2019 tv <tv> 0.430.0-2.mga8
+ Revision: 1432740
- rebuild with perl-5.30

* Wed Aug 07 2019 tv <tv> 0.430.0-1.mga8
+ Revision: 1427946
- update to 0.43

* Fri Jul 19 2019 tv <tv> 0.420.0-1.mga8
+ Revision: 1422895
- update to 0.42

* Fri Oct 26 2018 tv <tv> 0.410.0-1.mga7
+ Revision: 1325632
- update to 0.41

* Wed Oct 24 2018 tv <tv> 0.400.0-1.mga7
+ Revision: 1325104
- update to 0.40

* Fri Sep 21 2018 umeabot <umeabot> 0.390.0-5.mga7
+ Revision: 1292487
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 shlomif <shlomif> 0.390.0-4.mga7
+ Revision: 1247971
- Rebuild for new perl

* Mon Oct 02 2017 tv <tv> 0.390.0-3.mga7
+ Revision: 1163456
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.390.0-2.mga7
+ Revision: 1148686
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 0.390.0-1.mga7
+ Revision: 1127974
- New version 0.39 + spec modernize

* Sat Jul 22 2017 neoclust <neoclust> 0.380.0-6.mga7
+ Revision: 1126724
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.380.0-5.mga6
+ Revision: 1024260
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.380.0-4.mga6
+ Revision: 956860
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.380.0-3.mga6
+ Revision: 844751
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.380.0-2.mga6
+ Revision: 840464
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 0.380.0-1.mga6
+ Revision: 837076
- update to 0.38

* Sat Oct 18 2014 umeabot <umeabot> 0.370.0-6.mga5
+ Revision: 787856
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.370.0-5.mga5
+ Revision: 748568
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.370.0-4.mga5
+ Revision: 732939
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.370.0-3.mga5
+ Revision: 683953
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.370.0-2.mga5
+ Revision: 630871
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 0.370.0-1.mga5
+ Revision: 624174
- update to 0.37

* Sat Feb 08 2014 sander85 <sander85> 0.360.0-1.mga5
+ Revision: 586374
- update to 0.36

* Sat Oct 19 2013 umeabot <umeabot> 0.350.0-2.mga4
+ Revision: 534065
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.350.0-1.mga4
+ Revision: 476187
- update to 0.35

* Wed May 29 2013 jquelin <jquelin> 0.340.0-4.mga4
+ Revision: 430562
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.340.0-3.mga4
+ Revision: 430060
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 364530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.340.0-1.mga3
+ Revision: 341954
- update to 0.34

* Wed May 30 2012 jquelin <jquelin> 0.310.0-7.mga3
+ Revision: 250325
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.310.0-6.mga2
+ Revision: 103667
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.310.0-5.mga1
+ Revision: 22663
- rebuild with perl 5.12

* Sun Jan 09 2011 jquelin <jquelin> 0.310.0-4.mga1
+ Revision: 2134
- imported package perl-Clone

